<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
    xmlns:pt="http://xmlns.jcp.org/jsf/passthrough">

<h:head> 
	<link href="css/styleNav.css" rel="stylesheet" type="text/css" />
</h:head>
<body>
	<ui:composition template="./layout_main.xhtml">
	<ui:define name="content">
		<div id="page-wrap">
			<ul id="main-nav">
				<li class="home"><h:link value="Inicio" outcome="index" /></li>
			    <li class="current"><h:link value="Consultar" outcome="consultar" /></li>
			    <li class="consolidado"><h:link value="Consolidados" outcome="consolidados" /></li>
			    <li class="services"><h:link value="Radicación" outcome="radicacion" /></li>
			    <li class="about"><h:link value="Evaluación" outcome="evaluacion" /></li>
			    <li class="contact"><h:link value="Configuración" outcome="configuracion" /></li>
			</ul>
			<div class="clear"></div>
		</div>
		<article id="sombra">
			<article id="cont">
			   <article id="config">
				<p:fieldset legend="Información aspirantes">
				 <p><span id="titulo">Consulte la información de un aspirante a la convocatoria:    <strong><h:outputText value="#{formaMenu.idConvocatoria}" /></strong></span></p>
					<h:form id="form">
						<p:messages id="messages" showDetail="true" autoUpdate="true" closable="true" />
			        	<p:dataTable id="tabla" value = "#{formaConsultar.inscripciones}" var="inscripcion" rendered="#{formaConsultar.mostrar}" style=" font-size:14px;">
    						<p:column headerText="Concurso" style="width: 120px;">
        					<h:outputText  value="#{inscripcion.concurso.idConcurso}"/>
   							</p:column>
 
						    <p:column headerText="Area" style="width: 300px;">
						        <h:outputText value="#{inscripcion.concurso.area}"/>
						    </p:column>
						    
						     <p:column headerText="Ver" style="width: 190px;">
						     	 <h:commandButton  class="btnPrimario" action="#{formaPdf.generarHv(inscripcion)}" value="Hoja de vida"/>
						     	 <h:commandButton  class="btnPrimario" action="#{formaPdf.generarSobre(inscripcion)}" value="Formato sobre"/>
						     </p:column>
						   
						 </p:dataTable>
						 
		        		<h:panelGrid columns="4" cellpadding="5">
		        				<p:outputLabel value="NªIdentificacion: " for="id" />
			        		    <p:inputText id="id" value="#{formaConsultar.idAspirante}" required="true"/>
			        			<p:message for="id"/>
			        			<p:commandButton styleClass="pbtnInfo" update="form" value="Buscar" actionListener="#{formaConsultar.buscar(formaMenu.idConvocatoria)}" style="color: #fff; background: #5bc0de; border:#5bc0de; font-weight: normal;"/>	
			        	</h:panelGrid>
			        </h:form>
    			</p:fieldset>
    			
    			
    			
    			
    			
    			
    	
    			</article>
			</article>
		</article>
	</ui:define>
	</ui:composition>
</body>
</html>









	
